ApplicationsCreate Application

Create Application

Create a Job Application to a Company using the Company's ID.

curl -X POST "https://api.getkini.com/applications/" \
  -H "Content-Type: application/json" \
  -H "Company-Id: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "job": "null",
  "external_job_id": "example_string",
  "partner": "null",
  "partner_application_id": "null",
  "partner_company_id": "null",
  "partner_job_id": "null",
  "agency": "null",
  "agency_job_id": "null",
  "candidate": {
    "email": "user@example.com",
    "first_name": "John Doe",
    "last_name": "null",
    "full_name": "null",
    "gender": "null",
    "birthdate": "null",
    "language": "null",
    "nationality": "null",
    "phone": "null",
    "location": {
      "street": "null",
      "city": "null",
      "country": "null",
      "postcode": "null"
    },
    "skills": [
      "Python",
      "Django",
      "React"
    ]
  },
  "social_links": {
    "LinkedIn": "https://linkedin.com/in/username",
    "GitHub": "https://github.com/username",
    "Xing": "https://xing.com/profile/username"
  },
  "screening_questions": [
    {
      "id": "example_string",
      "question": "example_string",
      "answer_type": "boolean",
      "answer": "example_string"
    }
  ],
  "attachments": [
    {
      "type": "cv",
      "name": "John Doe",
      "content_type": "application/msword",
      "data": "example_string"
    }
  ],
  "notes": "null",
  "channel": "null"
}'
{
  "company": "null",
  "job": "null",
  "external_job_id": "example_string",
  "partner": "null",
  "partner_application_id": "null",
  "partner_company_id": "null",
  "partner_job_id": "null",
  "agency": "null",
  "agency_job_id": "null",
  "candidate": {
    "email": "user@example.com",
    "first_name": "John Doe",
    "last_name": "null",
    "full_name": "null",
    "gender": "null",
    "phone": "null",
    "location": {
      "street": "null",
      "city": "null",
      "country": "null",
      "postcode": "null"
    },
    "skills": [
      "Python",
      "Django",
      "React"
    ]
  },
  "social_links": {
    "LinkedIn": "https://linkedin.com/in/username",
    "GitHub": "https://github.com/username",
    "Xing": "https://xing.com/profile/username"
  },
  "screening_questions": [
    {
      "id": "example_string",
      "question": "example_string",
      "answer_type": "boolean",
      "answer": "example_string"
    }
  ],
  "attachments": [
    {
      "type": "cv",
      "name": "John Doe",
      "content_type": "application/msword"
    }
  ],
  "notes": "null",
  "channel": "null",
  "sync_status": "SUCCESS",
  "failure_error": "null",
  "created_at": "2024-12-25T10:00:00Z",
  "updated_at": "2024-12-25T10:00:00Z"
}
POST
/applications/
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer API Key Authentication. Include your API key in the Authorization header.

Bearer API Key Authentication. Include your API key in the Authorization header.
Content-Typestring
Required

The media type of the request body

Options: application/json, application/x-www-form-urlencoded, multipart/form-data
jobinteger

Kini ID of the job applied for (either job or external_job_id is required)

external_job_idstring

Job's ID in external ATS systems, used for integrations (either job or external_job_id is required)

Min length: 1
partnerinteger

Kini ID of the partner involved in the application

partner_application_idstring

External ID of the application in the partner's system (e.g. Jobboard)

partner_company_idstring

External ID of the company in the partner's system (e.g. ATS)

partner_job_idstring

External ID of the job in the partner's system (e.g. Jobboard)

agencyinteger

Kini ID of the agency distributing the application

agency_job_idstring

External ID of the job in the agency's system

attachmentsarray

List of attachments provided by the applicant

notesstring

Internal notes about the application

channelstring

External posting channel from which the application was received

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer API Key Authentication. Include your API key in the Authorization header.

Headers

Company-Idstring
Required

ID of the Company

Body

jobinteger

Kini ID of the job applied for (either job or external_job_id is required)

external_job_idstring

Job's ID in external ATS systems, used for integrations (either job or external_job_id is required)

partnerinteger

Kini ID of the partner involved in the application

partner_application_idstring

External ID of the application in the partner's system (e.g. Jobboard)

partner_company_idstring

External ID of the company in the partner's system (e.g. ATS)

partner_job_idstring

External ID of the job in the partner's system (e.g. Jobboard)

agencyinteger

Kini ID of the agency distributing the application

agency_job_idstring

External ID of the job in the agency's system

candidateobject
Required
attachmentsarray

List of attachments provided by the applicant

notesstring

Internal notes about the application

channelstring

External posting channel from which the application was received

Responses